package com.palmnest.service.virtfood;

import com.palmnest.application.bean.Page;
import com.palmnest.model.ScopeEntity;
import com.palmnest.model.virtfood.VirtFood;
import com.palmnest.service.GenericManager;

import java.util.List;
import java.util.Map;

public interface VirtFoodManager extends GenericManager<VirtFood, Long> {

	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo);

	public Integer insertFoodOrg(Long food_id, Long org_id);

	public Integer updateEnable(VirtFood food);

	public Page getProjects(int pageSize, int pageNo, String string);

	public VirtFood getBySpid(String spid);

	public List<VirtFood> findAll(Map<String, Object> params);

	public String getFoodIdByOrgId(String orgId);

	public Integer deleteFoodOrg(Long parseLong, Long parseLong2);

	public Page getProjectsOfLate(ScopeEntity scopeEntity, int pageSize, int pageNo);
}
